> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get multichain & multiaddress transactions

> Fetch paginated transactions for up to 10 EVM addresses and 10 EVM chains with one API call. Useful for building Activity Feeds. 

<CardGroup cols={2}>
  <Card title="Credit Cost"> 0.25 per item</Card>
  <Card title="Processing"> Realtime</Card>
</CardGroup>

<Tip>
  Estimate your monthly cost for this API using the [Pricing Calculator](/pricing-calculator?endpoint=%2Fapi-reference%2Ffoundational-api%2Fcross-chain%2Fget-allchains-transactions).
</Tip>

<Info>
  Base cost is `0.1` credits (e.g. requests that return with status `200` but no items).

  Calls without logs cost `0.1` credits/item.

  Calls `with-logs` costs `0.2` credits/item.

  Calls `with-decoded-logs` costs `0.25` credits/item.

  This Multichain & Multiaddress Transactions API is supported across all EVM chains. When no chains are specified, the <a href="https://goldrush.dev/chains" target="_blank" rel="noopener noreferrer">Foundational Chains</a> are passed as default.

  Domain names (e.g. `demo.eth`) are not supported.
</Info>


## OpenAPI

````yaml GET /v1/allchains/transactions/
openapi: 3.1.0
info:
  title: GoldRush Multichain Data APIs
  version: 1.0.0
  description: Covalent's GoldRush Multichain Data APIs OpenAPI Schema.
servers:
  - url: https://api.covalenthq.com
security:
  - bearerAuth: []
paths:
  /v1/allchains/transactions/:
    get:
      tags:
        - get-allchains-transactions
      description: >-
        Fetch paginated transactions for up to 10 EVM addresses and 10 EVM
        chains with one API call. Useful for building Activity Feeds. 
      operationId: getTransactions
      parameters:
        - name: chains
          in: query
          description: >-
            Comma separated list of chain names or IDs to retrieve transactions
            from. Defaults to all foundational chains.
          required: false
          schema:
            type: string
        - name: addresses
          in: query
          description: >-
            Comma separated list of addresses for which transactions are
            fetched.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Number of transactions to return per page, up to the default max of
            100 items.
          required: false
          schema:
            type: integer
        - name: before
          in: query
          description: >-
            Pagination cursor pointing to fetch transactions before a certain
            point.
          required: false
          schema:
            type: string
        - name: after
          in: query
          description: >-
            Pagination cursor pointing to fetch transactions after a certain
            point.
          required: false
          schema:
            type: string
        - name: with-logs
          in: query
          description: Whether to include raw logs in the response.
          required: false
          schema:
            type: boolean
        - name: with-decoded-logs
          in: query
          description: Whether to include decoded logs in the response.
          required: false
          schema:
            type: boolean
        - name: quote-currency
          in: query
          description: >-
            The currency to convert. Supports `USD`, `CAD`, `EUR`, `SGD`, `INR`,
            `JPY`, `VND`, `CNY`, `KRW`, `RUB`, `TRY`, `NGN`, `ARS`, `AUD`,
            `CHF`, `GBP`, `BTC` and `ETH`.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  updated_at:
                    type: string
                    format: date-time
                    description: Timestamp for when the data was last updated.
                  cursor_before:
                    type: string
                    description: Pagination cursor pointing to the previous page.
                  cursor_after:
                    type: string
                    description: Pagination cursor pointing to the next page.
                  quote_currency:
                    type: string
                    description: 'The requested quote currency eg: `USD`.'
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        block_height:
                          type: integer
                          description: The height of the block.
                        block_signed_at:
                          type: string
                          format: date-time
                          description: The signed block timestamp in UTC.
                        block_hash:
                          type: string
                          description: >-
                            The hash of the block. Use it to remove transactions
                            from blocks that are reorged.
                        tx_hash:
                          type: string
                          description: The transaction hash.
                        tx_offset:
                          type: integer
                          description: The offset is the position of the tx in the block.
                        miner_address:
                          type: string
                          description: The address of the miner who mined the block.
                        from_address:
                          type: string
                        to_address:
                          type: string
                          description: The recipient's wallet address.
                        value:
                          type: string
                          description: b;The value of the transaction in wei.
                        value_quote:
                          type: number
                          format: double
                          description: The value attached in `quote-currency` to this tx.
                        pretty_value_quote:
                          type: string
                          description: >-
                            A prettier version of the quote for rendering
                            purposes.
                        gas_offered:
                          type: integer
                          format: int64
                          description: The gas offered for the transaction.
                        gas_spent:
                          type: integer
                          format: int64
                          description: The gas actually spent by the transaction.
                        gas_price:
                          type: integer
                          format: int64
                          description: The gas price at the time of this tx in wei.
                        gas_quote:
                          type: number
                          format: double
                          description: The gas spent in `quote-currency` denomination.
                        pretty_gas_quote:
                          type: string
                          description: >-
                            A prettier version of the quote for rendering
                            purposes.
                        gas_quote_rate:
                          type: number
                          format: double
                          description: >-
                            The native gas exchange rate for the requested
                            `quote-currency`.
                        fees_paid:
                          type: string
                          description: >-
                            b;The total transaction fees (`gas_price` *
                            `gas_spent`) paid for this tx, denoted in wei.
                        gas_metadata:
                          type: object
                          properties:
                            contract_decimals:
                              type: integer
                              description: >-
                                Use contract decimals to format the token
                                balance for display purposes - divide the
                                balance by `10^{contract_decimals}`.
                            contract_name:
                              type: string
                              description: The string returned by the `name()` method.
                            contract_ticker_symbol:
                              type: string
                              description: >-
                                The ticker symbol for this contract. This field
                                is set by a developer and non-unique across a
                                network.
                            contract_address:
                              type: string
                              description: >-
                                Use the relevant `contract_address` to lookup
                                prices, logos, token transfers, etc.
                            supports_erc:
                              type: array
                              items:
                                type: string
                              description: >-
                                A list of supported standard ERC interfaces, eg:
                                `ERC20` and `ERC721`.
                            logo_url:
                              type: string
                              description: The contract logo URL.
                          description: The requested chain native gas token metadata.
                        successful:
                          type: boolean
                          description: >-
                            Indicated whether the transaction was successful or
                            failed.
                        chain_id:
                          type: string
                          description: >-
                            The chain ID of the blockchain where the transaction
                            occurred.
                        chain_name:
                          type: string
                          description: >-
                            The chain name of the blockchain where the
                            transaction occurred.
                        explorers:
                          type: array
                          items:
                            type: object
                            properties:
                              label:
                                type: string
                                description: The name of the explorer.
                              url:
                                type: string
                                description: The URL of the explorer.
                          description: The block explorer links for this transaction.
                        log_events:
                          type: array
                          items:
                            type: object
                            properties:
                              block_signed_at:
                                type: string
                                format: date-time
                                description: The block signed timestamp in UTC.
                              block_height:
                                type: integer
                                format: int64
                                description: The height of the block.
                              tx_offset:
                                type: integer
                                format: int64
                                description: >-
                                  The offset is the position of the tx in the
                                  block.
                              log_offset:
                                type: integer
                                format: int64
                                description: >-
                                  The offset is the position of the log entry
                                  within an event log.
                              tx_hash:
                                type: string
                                description: The requested transaction hash.
                              raw_log_topics:
                                type: array
                                items:
                                  type: string
                                description: The log topics in raw data.
                              sender_contract_decimals:
                                type: integer
                                description: >-
                                  Use contract decimals to format the token
                                  balance for display purposes - divide the
                                  balance by `10^{contract_decimals}`.
                              sender_name:
                                type: string
                                description: The name of the sender.
                              sender_contract_ticker_symbol:
                                type: string
                              sender_address:
                                type: string
                                description: The address of the sender.
                              sender_logo_url:
                                type: string
                                description: The contract logo URL.
                              supports_erc:
                                type: array
                                items:
                                  type: string
                                description: >-
                                  A list of supported standard ERC interfaces,
                                  eg: `ERC20` and `ERC721`.
                              sender_factory_address:
                                type: string
                                description: >-
                                  The address of the deployed UniswapV2 like
                                  factory contract for this DEX.
                              raw_log_data:
                                type: string
                                description: The log events in raw.
                              decoded:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  signature:
                                    type: string
                                  params:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        name:
                                          type: string
                                        type:
                                          type: string
                                        indexed:
                                          type: boolean
                                        decoded:
                                          type: boolean
                                        value:
                                          type: string
                                description: The decoded item.
                          description: Event logs generated by the transaction.
                    description: List of transactions returned by the API.
      x-codeSamples: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form: `Bearer <token>`, where
        `<token>` is your GoldRush API Key.

````